Subject: Re: [net-next-2.6 PATCH v6 4/7 RFC] TCPCT part 1d: define TCP cookie option, extend existing struct's

From: Eric Dumazet <[email-masked]>
Date: Mon, 16 Nov 2009 22:08:53 +0100

William Allen Simpson a écrit :
> William Allen Simpson wrote:
>> Here's my revised attempt (untested).  Any technical corrections?
>>
> Limited multiple (=) assignments to only 2 per line for readability
> (that in existing code have 4 per line and run well beyond 80 characters,
> triggering a warning in scripts/checkpatch.pl).
> 
> Still no technical corrections.  Seeking Acks.
> 

I am a bit uneasy on this patch, since apparently you have infrastructure
to send DATA payload on SYN, but I thought it was an optional part of your 'RFC'
and as such, being implemented later ?

I remember a previous remark from David that our skb queues would not contain
DATA on SYN packets...